<template>
  <div></div>
</template>

<script setup lang="ts" name="dataScreen">
import { onMounted } from "vue";
import { useRouter } from "vue-router";
const router = useRouter();
// import useUserStore from "@/stores/modules/account"; // 确保路径正确
import { screenfanhuiURL } from "@/api/home/Multisite";

onMounted(async () => {
  // 假设你的 userStore.getUser() 返回一个用户对象
  // const userStore = useUserStore();
  // const user = userStore.getUser();
  // const userWithJSON = {
  //   ...user
  // };
  // console.log(user);

  // const queryString = new URLSearchParams(userWithJSON).toString();
  // 假设这是你的异步函数
  const { data } = await screenfanhuiURL();

  // 在使用之前进行类型检查
  if (typeof data === "object" && data !== null && "id" in data) {
    // 类型断言
    const id = (data as { id: string }).id;

    // 使用 id 打开新窗口
    window.open(`https://esos-iot.bjdexn.cn/#/nationwide?id=${id}`, "_blank");
    router.push("/home/index");
  } else {
    console.error("data 不是有效的对象，或者缺少 id 属性");
  }
});
</script>
<!-- <style lang="scss" scoped>
@import "./index.scss";
</style> -->
